Apache log4cxx: LevelMatchFilter Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LevelMatchFilter Class Reference

Inherits Filter.

List of all members.

## Detailed Description

This is a very simple filter based on level matching.

The filter admits two options LevelToMatch and AcceptOnMatch. If there is an exact match between the value of the LevelToMatch option and the level of the LoggingEvent, then the decide method returns ACCEPT in case the AcceptOnMatch option value is set to `true`, if it is `false` then DENY is returned. If there is no match, NEUTRAL is returned.

## Public Types
typedef spi::Filter | BASE_CLASS
## Public Member Functions
| LevelMatchFilter ()
virtual void | setOption (const LogString &option, const LogString &value)
| Set options.
void | setLevelToMatch (const LogString &levelToMatch)
LogString | getLevelToMatch () const
void | setAcceptOnMatch (bool acceptOnMatch1)
bool | getAcceptOnMatch () const
FilterDecision | decide (const spi::LoggingEventPtr &event) const
| Return the decision of this filter.

## Member Typedef Documentation

typedef spi::Filter BASE_CLASS

## Constructor & Destructor Documentation

LevelMatchFilter | ( |  | ) |

## Member Function Documentation

FilterDecision decide | ( | const spi::LoggingEventPtr & | event | ) | const`[virtual]`

| Return the decision of this filter. Returns NEUTRAL if the LevelToMatch option is not set or if there is not match. Otherwise, if there is a match, then the returned decision is ACCEPT if the AcceptOnMatch property is set to `true`. The returned decision is DENY if the AcceptOnMatch property is set to false. Implements Filter.

bool getAcceptOnMatch | ( |  | ) | const`[inline]`

LogString getLevelToMatch | ( |  | ) | const

void setAcceptOnMatch | ( | bool | acceptOnMatch1 | ) | `[inline]`

void setLevelToMatch | ( | const LogString & | levelToMatch | ) |

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) | `[virtual]`

| Set options. Reimplemented from Filter.

The documentation for this class was generated from the following file:

- levelmatchfilter.h